# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from ..matrices import DisplaySkimMatricesDialog
from .show_dialog import show_diag


def load_skim_matrices(proj):
    if not proj.open_mode or proj.open_mode != "project":
        proj.show_message_no_supply()
        return
    dlg2 = DisplaySkimMatricesDialog(proj)
    show_diag(dlg2)
